.PHONY:	all upload clean spotless

FIG = evo future
DL = Nano_cola.jpg Atben_atusb_prod_03.jpg Atben_atusb_prod_05.jpg \
     M1_dmx_video.jpg

all:		talk.pdf
		xpdf talk.pdf

talk.pdf:	talk.tex $(FIG:%=%.pdf) $(DL)
		pdflatex talk

%.pdf:		%.fig
		fig2dev -L pdf $< $@ || { rm -f $@; exit 1; }

Nano_cola.jpg:
		wget http://en.qi-hardware.com/w/images/7/78/Nano_cola.jpg

Atben_atusb_prod_03.jpg:
		wget http://en.qi-hardware.com/w/images/0/06/Atben_atusb_prod_03.jpg

Atben_atusb_prod_05.jpg:
		wget http://en.qi-hardware.com/w/images/c/ce/Atben_atusb_prod_05.jpg

M1_dmx_video.jpg:
		wget http://en.qi-hardware.com/w/images/5/55/M1_dmx_video.jpg

upload:		talk.pdf
		qippl $< gnu30.pdf

clean:
		rm -f $(FIG:%=%.pdf)

spotless:
		rm -f $(DL)
